Abandon provisoire de php 7.3.1 , retour à php 7.2.14

0 votes
7,397 vues
question 6 Février 19 dans Annonces SAV par ladmin (2,272 points)  
Php 7.3.1 fonctionne parfaitement mais même son installation envoie des warnings de compatibilité. En fait, il y a plus de corrections à apporter que prévu, nous nous sommes trompés sur la fréquence des variantes syntaxiques abandonnées...

Notre module de sécurité sur roundcube et la dernière version de phpmyadmin, la 4.8.5, fonctionnent mal sur 7.3.1 alors que tout est ok en 7.2.xx.

Nous avons du rétrograder. La nuit passée, toutes les installations du week end dernier en 7.3 ont été remplacées par la dernière 7.2. Cela impacte aussi les dédiés utilisant 7.3.1 depuis sa sortie. Tout s'est bien passé.
commentée 23 Mars 19 par anvers (269 points)  
j'aimerais bien avoir php 7.3, peu importe phpmyadmin
commentée 23 Juin par ladmin (2,272 points)  
En version 8, certaines fonctions ont changé de type de retour, les unions ont changé et ça suffit pour q'une grosse appli plante. Il n'y avait même pas de warning dans les versions précédentes. Certains éditeurs en sont encore à la compatibilité 7.4. Une bonne partie des plugins de wordpress ne fonctionnent pas en php 8.
A chaque évolution, il faut gâcher des dizaines voire des centaines d'heures pour les mises à jour du code. Ca commence à devenir lassant.

Se connecter ou S'inscrire pour répondre à cette question.

Feel free to ask and answer in english

Bienvenue sur les FAQ de 123.fr, posez vos questions ou répondez à celles des autres usagers.

...